<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/Views/Scope/Scope.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.Views.Scope.Scope</title>
<link href="../../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../../Synopsis.html" >Synopsis</a>.<a href="../../../../Formatters.html" >Formatters</a>.<a href="../../../HTML.html" >HTML</a>.<a href="../../Views.html" >Views</a>.<a href="../Scope.html" >Scope</a>
</div><div class="class-name">class Scope

</div><div class="links"><div class="file">File: <a href="../../../../../../File/Synopsis/Formatters/HTML/Views/Scope.py.html" target="detail">../Synopsis/Formatters/HTML/Views/Scope.py</a></div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Scope.Scope" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Scope.py.html#line18" ><img src="../../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Scope-inheritance" src="Scope-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Scope-inheritance_map" />
<map name="Scope-inheritance_map"></map>
 <div class="doc">A module for creating a view for each Scope with summaries and
    details. This module is highly modular&#44; using the classes from
    ASGFormatter to do the actual formatting. The classes to use may be
    controlled via the config script&#44; resulting in a very configurable output.
    @see ASGFormatter The ASGFormatter module
    @see Config.Formatters.HTML.ScopeViews Config for ScopeViews
    </div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Class attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="parts">parts</a></div> <div class="xref"></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Scope.py.html#line27" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="register">register</a>(<span class="variable">self</span>, <span class="variable">frame</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Scope.Scope.register" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Scope.py.html#line33" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="toc">toc</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Scope.Scope.toc" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Scope.py.html#line43" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="filename">filename</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Scope.Scope.filename" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Scope.py.html#line47" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="title">title</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Scope.Scope.title" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Scope.py.html#line51" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="root">root</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Scope.Scope.root" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Scope.py.html#line55" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Scope.html#scope" >scope</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Scope.Scope.scope" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Scope.py.html#line64" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Scope.html#process" >process</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Scope.Scope.process" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Scope.py.html#line69" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Creates a view for every Scope.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Scope.html#register_filenames" >register_filenames</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Scope.Scope.register_filenames" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Scope.py.html#line87" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Registers a view for every Scope.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Scope.html#process_scope" >process_scope</a></span>(<span class="variable">self</span>, <span class="variable">scope</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Scope.Scope.process_scope" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Scope.py.html#line102" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Scope.html#end_file" >end_file</a></span>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Scope.Scope.end_file" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Scope.py.html#line119" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="scope">scope</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Scope.Scope.scope" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Scope.py.html#line64" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">return the current scope processed by this object</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process">process</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Scope.Scope.process" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Scope.py.html#line69" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Creates a view for every Scope.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="register_filenames">register_filenames</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Scope.Scope.register_filenames" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Scope.py.html#line87" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Registers a view for every Scope.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="process_scope">process_scope</a>(<span class="variable">self</span>, <span class="variable">scope</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Scope.Scope.process_scope" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Scope.py.html#line102" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Creates a view for the given scope</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="end_file">end_file</a>(<span class="variable">self</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref15.html#Synopsis.Formatters.HTML.Views.Scope.Scope.end_file" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Views/Scope.py.html#line119" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Overrides end_file to provide synopsis logo</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:10 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
